## org.h2.test.synth
Class TestTimer

    java.lang.Object
      org.h2.test.TestBase
          org.h2.test.synth.TestTimer

    public class TestTimer

extends TestBase

A recovery test that checks the consistency of a database (if it exists), then deletes everything and runs in an endless loop executing random operations. This loop is usually stopped by switching off the computer.

Field Summary

Fields inherited from class org.h2.test.TestBase
`baseDir, config, start`

Constructor Summary
`TestTimer()`

Method Summary
`static void` `main(java.lang.String... a)` Run just this test.
`void` `test()` This method will be called by the test framework.

Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertTrue, assertTrue, crash, createCaller, createCaller, deleteDb, deleteDb, eatMemory, fail, fail, freeMemory, getClassPath, getConnection, getConnection, getMemoryUsed, getPageStoreProperty, getPassword, getPassword, getSize, getTestDir, getURL, getUser, init, init, logError, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, testCase, trace, trace, traceMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestTimer

    public TestTimer()

Method Detail

### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

  Run just this test.

  Parameters:
    `a` - ignored
  Throws:
    `java.lang.Exception`

### test

    public void test()
              throws java.sql.SQLException

  Description copied from class: `TestBase`
  This method will be called by the test framework.

  Specified by:
    `test` in class `TestBase`
  Throws:
    `java.sql.SQLException`